powernap_calculator(1)

NAME
powernap_calculator - estimate the expected power savings using powernap in a cloud environment

SYNOPSIS
powernap_calculator [-h|--hosts NUM] [-p|--guests-per-host NUM] [-g|--guests NUM]

OPTIONS

-h, --hosts NUM
    Number of physical host systems in your cloud.

-p, --guests-per-host NUM
    Number of virtual machine guests allowed to run on each physical host system (often, this is equal to the number of CPUs in the host system)

-g, --guests NUM
    Number of guest virtual machines running in the cloud at a given instant.

DESCRIPTION
This utility will use statistical analysis to determine an expected value of power savings within a cloud environment using powernap. For more information about the statistical term 'expected value', please refer to: http://en.wikipedia.org/wiki/Expected_value.

http://launchpad.net/powernap

EXAMPLE
If your cloud consists of 8 hosts, each of which can run 4 guests, and you're currently running 16 guests, you can see your power savings expected value with:

  powernap_calculator -h 8 -p 4 -g 16

AUTHOR
This manpage and the utility was written by Dustin Kirkland <kirkland@canonical.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.